org.eclipse.cdt.utils.cdtvariables

## Class SupplierBasedCdtVariableStatus

- java.lang.Object
- - org.eclipse.core.runtime.Status
  - - org.eclipse.cdt.core.cdtvariables.CdtVariableStatus
    - - org.eclipse.cdt.utils.cdtvariables.SupplierBasedCdtVariableStatus

All Implemented Interfaces:
  ICdtVariableStatus, org.eclipse.core.runtime.IStatus

    public class SupplierBasedCdtVariableStatus
    extends CdtVariableStatus

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Status

`CANCEL_STATUS, OK_STATUS`

### Fields inherited from interface org.eclipse.cdt.core.cdtvariables.ICdtVariableStatus

`TYPE_ERROR, TYPE_MACRO_NOT_STRING, TYPE_MACRO_NOT_STRINGLIST, TYPE_MACRO_REFERENCE_INCORRECT, TYPE_MACRO_UNDEFINED, TYPE_MACROS_REFERENCE_EACHOTHER`

### Fields inherited from interface org.eclipse.core.runtime.IStatus

`CANCEL, ERROR, INFO, OK, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`SupplierBasedCdtVariableStatus(int severity, int code, String message, Throwable exception, String macroName, String expression, String referencedName, IVariableContextInfo info)`
`SupplierBasedCdtVariableStatus(int code, String macroName, String expression, String referencedName, IVariableContextInfo info)`
`SupplierBasedCdtVariableStatus(int code, String message, Throwable exception, String macroName, String expression, String referencedName, IVariableContextInfo info)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IVariableContextInfo` `getVariableContextInfo()`

### Methods inherited from class org.eclipse.cdt.core.cdtvariables.CdtVariableStatus

`generateMessage, getExpression, getReferencedMacroName, getVariableName`

### Methods inherited from class org.eclipse.core.runtime.Status

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches, setCode, setException, setMessage, setPlugin, setSeverity, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.core.runtime.IStatus

`getChildren, getCode, getException, getMessage, getPlugin, getSeverity, isMultiStatus, isOK, matches`

### Constructor Detail

#### SupplierBasedCdtVariableStatus

    public SupplierBasedCdtVariableStatus(int severity,
                                          int code,
                                          String message,
                                          Throwable exception,
                                          String macroName,
                                          String expression,
                                          String referencedName,
                                          IVariableContextInfo info)

#### SupplierBasedCdtVariableStatus

    public SupplierBasedCdtVariableStatus(int code,
                                          String macroName,
                                          String expression,
                                          String referencedName,
                                          IVariableContextInfo info)

#### SupplierBasedCdtVariableStatus

    public SupplierBasedCdtVariableStatus(int code,
                                          String message,
                                          Throwable exception,
                                          String macroName,
                                          String expression,
                                          String referencedName,
                                          IVariableContextInfo info)

### Method Detail

#### getVariableContextInfo

    public IVariableContextInfo getVariableContextInfo()